org.cybergarage.upnp.device

## Class InvalidDescriptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.cybergarage.upnp.device.InvalidDescriptionException

- All Implemented Interfaces:
    Serializable

      public class InvalidDescriptionException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidDescriptionException()`
    `InvalidDescriptionException(Exception e)`
    `InvalidDescriptionException(String s)`
    `InvalidDescriptionException(String s, File file)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidDescriptionException

          public InvalidDescriptionException()

    - #### InvalidDescriptionException

          public InvalidDescriptionException(String s)

    - #### InvalidDescriptionException

          public InvalidDescriptionException(String s,
                                     File file)

    - #### InvalidDescriptionException

          public InvalidDescriptionException(Exception e)